Change a webhook
curl --request PATCH \
--url https://api.paymentsmojo.com/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"addScopes": [
"<string>"
],
"removeScopes": [
"<string>"
],
"setHeaders": [
{
"name": "<string>",
"value": "<string>",
"secret": true
}
],
"removeHeaders": [
"<string>"
],
"bodyTemplate": "<string>"
}
'import requests
url = "https://api.paymentsmojo.com/webhooks/{id}"
payload = {
"name": "<string>",
"url": "<string>",
"enabled": True,
"scopes": ["<string>"],
"addScopes": ["<string>"],
"removeScopes": ["<string>"],
"setHeaders": [
{
"name": "<string>",
"value": "<string>",
"secret": True
}
],
"removeHeaders": ["<string>"],
"bodyTemplate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
enabled: true,
scopes: ['<string>'],
addScopes: ['<string>'],
removeScopes: ['<string>'],
setHeaders: [{name: '<string>', value: '<string>', secret: true}],
removeHeaders: ['<string>'],
bodyTemplate: '<string>'
})
};
fetch('https://api.paymentsmojo.com/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paymentsmojo.com/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'enabled' => true,
'scopes' => [
'<string>'
],
'addScopes' => [
'<string>'
],
'removeScopes' => [
'<string>'
],
'setHeaders' => [
[
'name' => '<string>',
'value' => '<string>',
'secret' => true
]
],
'removeHeaders' => [
'<string>'
],
'bodyTemplate' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paymentsmojo.com/webhooks/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"addScopes\": [\n \"<string>\"\n ],\n \"removeScopes\": [\n \"<string>\"\n ],\n \"setHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"removeHeaders\": [\n \"<string>\"\n ],\n \"bodyTemplate\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.paymentsmojo.com/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"addScopes\": [\n \"<string>\"\n ],\n \"removeScopes\": [\n \"<string>\"\n ],\n \"setHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"removeHeaders\": [\n \"<string>\"\n ],\n \"bodyTemplate\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paymentsmojo.com/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"addScopes\": [\n \"<string>\"\n ],\n \"removeScopes\": [\n \"<string>\"\n ],\n \"setHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"removeHeaders\": [\n \"<string>\"\n ],\n \"bodyTemplate\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"valueLast4": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>",
"standardBody": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByName": "<string>",
"lastSentAt": "2023-11-07T05:31:56Z",
"waiting": 123,
"failedThisWeek": 123,
"createdByApiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByApiKeyRevokedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}Webhooks
Change a webhook
Changes only what’s given: turn the endpoint on or off (enabled), replace its scopes (scopes) or add and remove some (addScopes, removeScopes), set or replace headers by name (setHeaders), remove headers (removeHeaders), and change its name, url or bodyTemplate (an empty bodyTemplate goes back to the standard body). Turning it off skips the notifications still waiting.
PATCH
/
webhooks
/
{id}
Change a webhook
curl --request PATCH \
--url https://api.paymentsmojo.com/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"addScopes": [
"<string>"
],
"removeScopes": [
"<string>"
],
"setHeaders": [
{
"name": "<string>",
"value": "<string>",
"secret": true
}
],
"removeHeaders": [
"<string>"
],
"bodyTemplate": "<string>"
}
'import requests
url = "https://api.paymentsmojo.com/webhooks/{id}"
payload = {
"name": "<string>",
"url": "<string>",
"enabled": True,
"scopes": ["<string>"],
"addScopes": ["<string>"],
"removeScopes": ["<string>"],
"setHeaders": [
{
"name": "<string>",
"value": "<string>",
"secret": True
}
],
"removeHeaders": ["<string>"],
"bodyTemplate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
enabled: true,
scopes: ['<string>'],
addScopes: ['<string>'],
removeScopes: ['<string>'],
setHeaders: [{name: '<string>', value: '<string>', secret: true}],
removeHeaders: ['<string>'],
bodyTemplate: '<string>'
})
};
fetch('https://api.paymentsmojo.com/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paymentsmojo.com/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'enabled' => true,
'scopes' => [
'<string>'
],
'addScopes' => [
'<string>'
],
'removeScopes' => [
'<string>'
],
'setHeaders' => [
[
'name' => '<string>',
'value' => '<string>',
'secret' => true
]
],
'removeHeaders' => [
'<string>'
],
'bodyTemplate' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paymentsmojo.com/webhooks/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"addScopes\": [\n \"<string>\"\n ],\n \"removeScopes\": [\n \"<string>\"\n ],\n \"setHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"removeHeaders\": [\n \"<string>\"\n ],\n \"bodyTemplate\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.paymentsmojo.com/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"addScopes\": [\n \"<string>\"\n ],\n \"removeScopes\": [\n \"<string>\"\n ],\n \"setHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"removeHeaders\": [\n \"<string>\"\n ],\n \"bodyTemplate\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paymentsmojo.com/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"addScopes\": [\n \"<string>\"\n ],\n \"removeScopes\": [\n \"<string>\"\n ],\n \"setHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"removeHeaders\": [\n \"<string>\"\n ],\n \"bodyTemplate\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"valueLast4": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>",
"standardBody": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByName": "<string>",
"lastSentAt": "2023-11-07T05:31:56Z",
"waiting": 123,
"failedThisWeek": 123,
"createdByApiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByApiKeyRevokedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}Authorizations
Body
application/json
Response
OK